/* Fitxer: ClasseInternaStatic.java
   Descripci: Classe contenidora de classe interna static
   Autor: Isidre Guix
*/

class Contenidora 
{
   private static int aaa = 5;
  
   public void metContenidora() 
   {
      System.out.println ("Mtode de la classe contenidora: aaa = " + aaa);
   }
   
   public static class Interna 
   {
      private int xxx = 10;
      
      public void metInterna()
      {
         System.out.println ("Mtode de la classe interna - xxx = " + xxx);
      }
      
      public static void main (String args[])
      {
         System.out.println ("Mtode main() de la classe interna.");
         System.out.println ("Accs a membre static de la classe contenidora: aaa  = " + aaa);
//       metContenidora(); // No s t accs directe a membres no static de la classe contenidora
         Contenidora ce = new Contenidora();
         ce.metContenidora(); // Accs als membres static de la classe contenidora via objecte
      }
   }
   
   public static void main (String args[])
   {
      System.out.println ("Mtode main() de la classe contenidora.");
      Interna ci = new Interna();
      ci.xxx = 20;      
      ci.metInterna();
   }
}

class AccesInterna
{
   public static void main(String args[])
   {
      Contenidora.Interna ci = new Contenidora.Interna();
      ci.metInterna();
   }
}