/* Fitxer: ExempleInterficie.java
   Descripci: Exemple de declaraci d'interfcies i implementaci en una classe
   Autor: Isidre Guix
*/
import java.util.Date;

interface A
{
   Date DARRERA_CREACIO = new Date(0,0,1);   // 1-1-1900
   
   void metodeA ();
}

interface B extends A
{
   int VALOR_B = 20;
   
   void metodeB ();
}

class ExempleInterficie implements B
{
   private long b;
   private Date dataCreacio = new Date();
   
   public ExempleInterficie (int factor)
   {
      b = VALOR_B * factor;
      DARRERA_CREACIO.setTime(dataCreacio.getTime());
   }
   
   public void metodeA ()
   {
      System.out.println ("En metodeA, DARRERA_CREACIO = " + DARRERA_CREACIO);     
   }

   public void metodeB ()
   {
      System.out.println ("En metodeB, b = " + b);
   }

   public static void main (String args[])
   {
      System.out.println("Inicialment, DARRERA_CREACIO = " + DARRERA_CREACIO);
      ExempleInterficie obj = new ExempleInterficie(5);
      obj.metodeA();
      obj.metodeB();
      A pa = obj;
      B pb = obj;
   }
}