/* Fitxer: ClasseInternaMembre.java
   Descripci: Classe contenidora de classe interna membre
   Autor: Isidre Guix
*/

class Contenidora 
{
   private static int comptadorObjectesInterna;
  
   public void metContenidora()
   {
      System.out.println ("comptadorObjectesInterna = " + comptadorObjectesInterna);
      Interna ci1 = new Interna(100);
      Interna ci2 = new Interna(200);
      // ci1 i ci2 estan associats a l'objecte de Contenidora sobre el que s'executa el mtode
      ci1.metInterna();
      ci2.metInterna();
      System.out.println ("comptadorObjectesInterna = " + comptadorObjectesInterna);
   }
   
   public class Interna
   {
      private int xxx;
      
      public Interna (int x) 
      { 
         xxx = x;
         comptadorObjectesInterna++;
      }
      
      public void metInterna()
      {
         System.out.println ("Sc objecte de la classe interna - xxx = " + xxx);
      }
   }
   
   public static void main (String args[])
   {
      System.out.println ("Mtode main() de la classe contenidora.");
      Contenidora ce = new Contenidora();
      ce.metContenidora();
      Interna ci = ce.new Interna(50);
               // Tot objecte d'Interna est associat a un objecte de Contenidora
      ci.metInterna();
   }
}

class AccesInterna
{
   public static void main(String args[])
   {
      Contenidora ce = new Contenidora();
      Contenidora.Interna ci = ce.new Interna(5);
      ci.metInterna();
   }
}
